class Asteroid:
    character = 'O'

    def __init__(self, position):
        self.position = position

    def play_turn(self, game):
        if game.turn_number % 2 == 0: 
            x, y = self.position
            if y == HEIGHT - 1: 
                game.remove_agent_by_name(self.name)
            else:
                ship = game.get_agent_by_name('ship')
                new_position = (x, y + 1)
                if new_position == ship.position:
                    game.end()
                else:
                    self.position = new_position